/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AxisDescription } from "./AxisDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class CategoryAxisBaseDescription extends AxisDescription {
    constructor() {
        super();
        this.c4 = 0;
        this.c0 = 0;
        this.c1 = 0;
        this.cy = false;
        this.c6 = null;
    }
    get_type() {
        return "CategoryAxisBase";
    }
    get itemsCount() {
        return this.c4;
    }
    set itemsCount(a) {
        this.c4 = a;
        this.e("ItemsCount");
    }
    get gap() {
        return this.c0;
    }
    set gap(a) {
        this.c0 = a;
        this.e("Gap");
    }
    get overlap() {
        return this.c1;
    }
    set overlap(a) {
        this.c1 = a;
        this.e("Overlap");
    }
    get useClusteringMode() {
        return this.cy;
    }
    set useClusteringMode(a) {
        this.cy = a;
        this.e("UseClusteringMode");
    }
    get dataSourceRef() {
        return this.c6;
    }
    set dataSourceRef(a) {
        this.c6 = a;
        this.e("DataSourceRef");
    }
}
CategoryAxisBaseDescription.$t = markType(CategoryAxisBaseDescription, 'CategoryAxisBaseDescription', AxisDescription.$);
